# -*- coding: utf-8 -*-
import tempfile
import os
from dajax.core import Dajax
from dajaxice.core import dajaxice_functions
from django.utils.formats import localize

from jumbo.utils.functions import get_settings

from document.models import Document
from organization.models import Organization, Contact

def ajax_on_select_org(request, org_id, contact_id=None, set_default=False):
    dajax = Dajax()
    if not org_id:
        return dajax.json()

    o = Organization.objects.get(id=org_id)

    # CONTACT
    option = "<option value=''></option>"
    for i, contact in enumerate(o.contacts.all().order_by('role__ordering', 'last_name')):
        selected = ""
        if contact_id:
            if contact.id == int(contact_id):
                selected = " selected"
        elif set_default and i == 0:
            selected = " selected"
        option += "<option value='%s'%s>%s</option>" % (contact.id, selected, unicode(contact))
    dajax.assign('#id_person', 'innerHTML', option)

    return dajax.json()
dajaxice_functions.register(ajax_on_select_org)

def ajax_on_delete_org(request):
    dajax = Dajax()
    option = "<option value=''></option>"
    dajax.assign('#id_person', 'innerHTML', option)
    return dajax.json()
dajaxice_functions.register(ajax_on_delete_org)

def print_document_label(request, obj_id, force_printer_name=None):
    dajax = Dajax()
    printer_name = ''

    try:
        d = Document.objects.get(pk=obj_id)
        lines = ["\r\n",
                 "Date : %s" % d.reception_date.strftime("%d/%m/%Y"), '\r\n',
                 #"Date : %s" % localize(d.reception_date), '\r\n',
                 "Prot. N. : %s" % d.protocol_number, '\r\n',
                 "Cat. : %s" % d.category.name, '\r\n',
                 "Direction : %s" % d.direction or '']

        f = tempfile.NamedTemporaryFile()
        ##f = open('/tmp/test.txt', 'w')
        f.writelines(lines)
        f.seek(0)

        if force_printer_name:
            printer_name = force_printer_name
        else:
            printer_name = get_settings('document.settings', 'DOCUMENT_PRINT_NAME')

        if printer_name:
            os.system('lpr -P %s %s' % (printer_name, f.name))
        else:
            os.system('lpr %s' % f.name)

        f.close()
    except Exception, e:
        dajax.alert("THERE WAS AN ERROR DURING THE LABEL PRINTING.")
        return dajax.json()

    dajax.alert("Document Label Printed Succesfully To Printer %s." % printer_name)
    return dajax.json()
